/* Matrizes */

#include <stdio.h>
#include <stdlib.h>
int main()
{
   int x,y,lin,col; 
   int **m;
   FILE *arq;
   
   if((arq=fopen("matriz.txt","r"))==NULL) {
     printf("Erro ao tentar abrir o arquivo!! \n");
     return;
   }

   fscanf (arq,"%d %d", &lin,&col);

   m = (int **) malloc(lin * sizeof (int)); /* Numero de linhas*/
   for(y=0;y<lin;y++)
     m[y] = (int *) malloc(col * sizeof (int)); /* Para cada linha col colunas */
   
   for (y=0;y<lin;y++)
     for (x=0;x<col;x++)
       fscanf (arq,"%d",&m[y][x]);
   
   fclose(arq);
  
   for (y=0;y<lin;y++){
     for (x=0;x<col;x++)
       printf ("%2d ", m[y][x]);
     printf("\n");
   }

   /* Nao esquecer de liberar o espaco alocado */
   /* Ordem inversa a alocacao */
  
   for(y=0;y<lin;y++)
     free(m[y]); /* Liberando todas as colunas de cada linha */
   free (m); /* Liberando o vetor que continha o inicio de cada linhas */
}

